Updates/Software-Installation mit zypper nicht möglich - Opensuse 12.1

Hinweis: In dem Thema Updates/Software-Installation mit zypper nicht möglich - Opensuse 12.1 gibt es 21 Antworten auf 3 Seiten. Der letzte Beitrag () befindet sich auf der letzten Seite.
  • Hey,


    so, erster Post :thumbup: Vorab: Komme von Ubuntu zu meiner ersten Linuxdistri: openSuse - läuft auch soweit einigermaßen stabil - bin im Großen und Ganzen zufrieden. Die schönste Distribution zur Zeit auf dem Markt, wie ich finde! :)


    Nur habe ich an einem Zweitrechner ein Problem, das den Rechner eigentlich unnutzbar macht: Möchte ich updaten oder ein neues Paket installieren, lädt zypper das Paket (zum Beispiel sane-backend, das von hplip benötigt wird) bis rund 95% mit voller Geschwindigkeit - danach bricht diese total ein, bis sie bei 0 Bit/s stehen bleibt.


    Dachte erst an ein Serverproblem, Update-Mirror ausgewählt - gleiches Problem. Dann diesen Hinweis befolgt und den DNS-Server gewechselt - erfolglos.


    Habt ihr Tipps? Welche Ausgaben wollt ihr sehen?


    Danke!
    Didi

    3 Mal editiert, zuletzt von LeDidi ()

    Für den Inhalt des Beitrages 38960 haftet ausdrücklich der jeweilige Autor: LeDidi

  • Poste mal die Ausgabe von

    Code
    uname -a
    zypper se -s zypper


    Ich habe mittlerweile apper und alles was mit packagekit zu tun hat von meinen Sytemen entfernt und es läuft alles rund.

  • Bei jedem Update wollte Dolphin sich aktualisieren und das Update brach ab.


    Aktualisieren von suse 12.1, 64 bit z. Zt (2012-01-17; ganztägig) nicht möglich


    Am Ende steht meine Lösung.

  • So... ein 64bit-System.


    Code
    uname -a
    Linux linux-dbe1 3.1.0-1.2-desktop #1 SMP PREEMPT Thu Nov 3 14:45:45 UTC 2011 (187dde0) x86_64 x86_64 x86_64 GNU/Linux


    und meine Repos:


    Code
    S | Name | Typ | Version | Arch | Repository
    --+-----------------------+------------+--------------+--------+---------------------
    | nagios-plugins-zypper | Paket | 1.40-1.1.1 | noarch | openSUSE-12.1-Oss
    v | zypper | Paket | 1.6.18-5.8.1 | x86_64 | openSUSE-12.1-Update
    i | zypper | Paket | 1.6.16-5.3.1 | x86_64 | openSUSE-12.1-Oss
    v | zypper | Paket | 1.6.18-5.8.1 | i586 | openSUSE-12.1-Update
    v | zypper | Paket | 1.6.16-5.3.1 | i586 | openSUSE-12.1-Oss
    | zypper | Quellpaket | 1.6.18-5.8.1 | noarch | openSUSE-12.1-Update
    v | zypper-log | Paket | 1.6.18-5.8.1 | noarch | openSUSE-12.1-Update
    i | zypper-log | Paket | 1.6.16-5.3.1 | noarch | openSUSE-12.1-Oss


    Ansonsten hat Kanonentux' Rat nicht so ganz funktioniert. In MC kam ich rein, nur den "Upgrade"-Befehl kannte er nicht.


    Code
    linux-dbe1:/home/schwille/Downloads # upgrade
    upgrade: command not found


    Oder meintest du ein Listenupdate? Habe daraufhin die .rpm mal installiert und init 6 gemacht, jedoch ohne Erfolg. Schätze, deine Anleitung nicht so ganz verstanden zu haben.


    Danke aber für die Tipps!

  • Als erstes würde ich mal schauen, dass ich zypper selbst auf den aktuellen Stand bringe.


    Installiert bei Dir :

    Zitat

    i | zypper | Paket | 1.6.16-5.3.1 | x86_64 | openSUSE-12.1-Oss

    Verfügbar :

    Zitat

    v | zypper | Paket | 1.6.18-5.8.1 | x86_64 | openSUSE-12.1-Update

    Eventuell ist das Problem ja dadurch schon beseitigt.

  • Nein, leider nicht...


    Code
    sudo zypper in zypper
    root's password:
    Daten des Repositories laden ...
    Installierte Pakete lesen ...
    'zypper' ist bereits installiert.
    Kein Aktualisierungskandidat für 'zypper-1.6.18-5.8.1.x86_64'. Die neueste Version ist bereits installiert.
    Paketabhängigkeiten auflösen ...
    Keine auszuführenden Aktionen.
  • Dann lade mal die Datei manuell von

    Code
    http://download.opensuse.org/update/12.1/x86_64/


    herunter und installiere sie.


    Ausserdem poste mal die Ausgabe von

    Code
    zypper lr -uP


    um zu sehen, ob Deine Prioritätensetzung einer Aktualisierung im Wege steht.

  • Komischerweise lädt er von download.opensuse.org auch nicht im FF herunter. Habe das Source-Paket aber von hier bekommen. Lies sich weder über apper installieren, noch über zypper oder yast. Wollte zudem zypper nicht deinstallieren - wer weiß, ob ich das Ding jemals wieder installiert bekomme ;)


    Code
    zypper lr -uP
    # | Alias | Name | Aktiviert | Aktualisieren | Priorität | URI
    --+-------------------+----------------------------+-----------+---------------+-----------+----------------------------------------------------------------
    1 | repo-debug | openSUSE-12.1-Debug | Nein | Ja | 99 | http://download.opensuse.org/debug/distribution/12.1/repo/oss/
    2 | repo-debug-update | openSUSE-12.1-Update-Debug | Nein | Ja | 99 | http://download.opensuse.org/debug/update/12.1/
    3 | repo-non-oss | openSUSE-12.1-Non-Oss | Ja | Ja | 99 | http://download.opensuse.org/distribution/12.1/repo/non-oss/
    4 | repo-oss | openSUSE-12.1-Oss | Ja | Ja | 99 | http://download.opensuse.org/distribution/12.1/repo/oss/
    5 | repo-source | openSUSE-12.1-Source | Nein | Ja | 99 | http://download.opensuse.org/source/distribution/12.1/repo/oss/
    6 | repo-update | openSUSE-12.1-Update | Ja | Ja | 99 | http://download.opensuse.org/update/12.1/
  • Lass zypper mal drauf.
    Die Prioritäten sind eigentlich auch kein Problem.
    Gehe mal auf den Link Netzwerkprobleme in meiner Signatur und arbeite das mal durch.
    Die entstandene Textdatei kannst Du dann hier als Anhang posten.